WordPress.org

Forums

All-in-One Event Calendar
Event mouseover popups not going away, WP 3.5, ai1ec 1.8.2 (8 posts)

  1. Mark Costlow
    Member
    Posted 2 years ago #

    I just migrated a church web site to a fresh WP 3.5 install.
    They previously had a slightly older version of all-in-one
    event calendar (not sure what version). In 1.8.2, when you
    mouse over events the pop-ups appear, but they never go away.
    As you move the mouse, the screen fills with overlapping
    popups. You can see the effect here:

    http://rt66church.com/calendar-4/

    I reset to twenty-eleven theme, and that did not change the effect.
    I've verified it does the same thing in Chrome, Safari, Firefox, and
    IE8, on a variety of platforms (linux, MacOS, WinXP).

    I've seen several threads about this here, and they mention that
    it's fixed in the "next version" (1.8.4?) However, the WP dashboard
    thinks that 1.8.2 is the latest release.

    Here is what the chome console says when you mouse over these items:
    (2 errors, one when the mouse touches the event, another when it leaves)
    --------------
    Uncaught Error: Syntax error, unrecognized expression: .ai1ec-event-container.ai
    1ec-event-id-170.ai1ec-event-instance-id-10096. .ai1ec-event-popup
    nt.error jquery.js:2
    ut jquery.js:2
    vt jquery.js:2
    g.querySelectorAll.vt jquery.js:2
    nt jquery.js:2
    v.fn.extend.find jquery.js:2
    v.fn.v.init jquery.js:2
    v jquery.js:2
    m calendar.min.js:1
    v.extend.each jquery.js:2
    v.fn.v.each jquery.js:2
    a.not.fadeOut.a.parent.css.zIndex calendar.min.js:1
    v.speed.r.complete jquery.js:2
    v.Callbacks.l jquery.js:2
    v.Callbacks.c.fireWith jquery.js:2
    a jquery.js:2
    v.fx.tick jquery.js:2

    Uncaught Error: Syntax error, unrecognized expression: .ai1ec-event-container.ai
    1ec-event-id-170.ai1ec-event-instance-id-10096. .ai1ec-event-popup
    nt.error jquery.js:2
    ut jquery.js:2
    vt jquery.js:2
    g.querySelectorAll.vt jquery.js:2
    nt jquery.js:2
    v.fn.extend.find jquery.js:2
    v.fn.v.init jquery.js:2
    v jquery.js:2
    m calendar.min.js:1
    v.each.v.event.special.handle jquery.js:2
    v.event.dispatch jquery.js:2
    v.event.add.u.o.handle.u jquery.js:2

    --------------
    Thanks in advance for any help you can offer.

    Mark

    http://wordpress.org/extend/plugins/all-in-one-event-calendar/

  2. ImmortalGuru
    Member
    Posted 2 years ago #

    I'm having this exact same issue. It seems like it's a conflict between this plugin and wordpress 3.5.

    Can someone help out with this please?

  3. msenate
    Member
    Posted 2 years ago #

    Okay, I got this fixed. You need to upgrade to the version available at http://time.ly/

    They have not pushed the patch to their WordPress plugin repo (or at least it has not made it to be live).

    You may have implemented some ai1ec themes which will need updates as well (plus any custom templating or styling).

    I don't have all the details, but this seems like a very nasty, disingenuous move on the part of time.ly. I'm skeptical of the motivation of forcing users to download a new copy from their website (which is misleadingly labelled "premium").

    I'm in an active search for a replacement for all-in-one-event-calendar. Please link me if you know of one.

  4. ImmortalGuru
    Member
    Posted 2 years ago #

    That above fix didn't do anything except break my calendar. I had to reupload an old copy of it(thank God for backups).

    Needless to say, I'm looking for another calendar too.

  5. msenate
    Member
    Posted 2 years ago #

    You'll have to follow the instructions time.ly provides for the calendar available on their site, I had to replace the themes for it to work properly.

    Indeed, post if you find something viable.

  6. Mark Costlow
    Member
    Posted 2 years ago #

    I upgraded to 1.9.1 from their web site (don't know why it's not available through the WP plugin repository).

    Anyway, with 1.9.1 the popups are behaving correctly.

  7. Richard
    Member
    Posted 2 years ago #

    @SWCP thank you for posting this solution.

    Yes, the 1.9.1 version is available from time.ly and not through the WP plugin repository.

    If this version does not resolve the issue for anyone, please let us know. For fastest response times, we recommend upgrading to the Pro Edition, which includes Premium Support (available from time.ly)

    Thank you

  8. Hope
    Member
    Posted 2 years ago #

    Wow.. What a great plugin! Thank you guys!

    @ImmortalGuru, I had your problem and thanks to @msenate I installed the latest version from the http://time.ly/ site but to make it work I deleted the themes-ai1ac from wp-content folder.. maybe this could help you..

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic